Bug 247 - the samba 3.0beta3 packages for redhat9 are missing a symlink
the samba 3.0beta3 packages for redhat9 are missing a symlink
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Packaging
3.0.0preX
Other other
: P2 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-22 16:02 UTC by Alex Duggan
Modified: 2005-08-24 10:24 UTC (History)
2 users (show)

See Also:


Attachments
use ldconfig after installing/removing libraries (934 bytes, patch)
2003-07-24 15:10 UTC, George J Karabin
no flags Details
patching template file in cvs instead of file in package (797 bytes, patch)
2003-07-24 15:23 UTC, George J Karabin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Duggan 2003-07-22 16:02:53 UTC
the 3.0beta3 packages on the samba site are missing a /usr/lib/libsmbclient.so.1
symlink to /usr/lib/libsmbclient.so.1
Comment 1 Alex Duggan 2003-07-22 16:03:32 UTC
Let's try that again:

the samba 3.0beta3 packages on the samba site are missing a
/usr/lib/libsmbclient.so.1
symlink to /usr/lib/libsmbclient.so
Comment 2 Alex Duggan 2003-07-22 16:04:48 UTC
One final time:

the samba 3.0beta3 packages on the samba site are missing a
/usr/lib/libsmbclient.so.0
symlink to /usr/lib/libsmbclient.so
Comment 3 George J Karabin 2003-07-24 15:10:28 UTC
Created attachment 55 [details]
use ldconfig after installing/removing libraries

Running ldconfig will create the links. This little patch (untested, I didn't
build from an SRPM) should fix the problem. This is how I've seen other spec
files from Red Hat handle it, though I've never done this in a package myself.
Comment 4 George J Karabin 2003-07-24 15:23:31 UTC
Created attachment 56 [details]
patching template file in cvs instead of file in package

I should have patched the template in cvs instead of the file in the package
itself. Use samba-gjk-patch2 instead.
Comment 5 Gerald (Jerry) Carter 2003-07-24 19:37:47 UTC
patch looks good.  applied to 3.0 CVS tree.
Comment 6 Gerald (Jerry) Carter 2005-02-07 08:41:27 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:24:34 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.